---
BasedOnStyle: Google
AllowAllArgumentsOnNextLine: 'true'
AllowAllConstructorInitializersOnNextLine: 'true'
AllowAllParametersOfDeclarationOnNextLine: 'true'
AllowShortIfStatementsOnASingleLine: 'false'
AllowShortLoopsOnASingleLine: 'false'
BinPackArguments: 'false'
BinPackParameters: 'false'
BreakBeforeBraces: Allman
ColumnLimit: '80'
IndentWidth: '2'
Language: Cpp
MaxEmptyLinesToKeep: '2'
PointerAlignment: Left
SpaceAfterLogicalNot: 'true'
UseTab: Never
SortIncludes: 'false'
IndentPPDirectives: BeforeHash
... 